add pre-commit staging testing
[flibbertigibbet] / test.bash
diff --git a/test.bash b/test.bash
new file mode 100755 (executable)
index 0000000..e65e993
--- /dev/null
+++ b/test.bash
@@ -0,0 +1,32 @@
+#! /usr/bin/env bash
+# tl;dr AGPLv3+
+# copyright info at bottom
+
+set -o nounset
+set -o errexit
+
+GILT_HOOKUP_DEBUG="${GILT_HOOKUP_DEBUG:-}"
+
+if (( GILT_HOOKUP_DEBUG )); then
+    set -x
+    echo "in $0"
+fi
+
+# flibbertigibbet is a lein new flibbertigibbet project-name
+# Copyright (C) 2016 daniel watson
+
+# This file is part of flibbertigibbet.
+
+# flibbertigibbet is free software: you can redistribute it and/or
+# modify it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+
+# flibbertigibbet is distributed in the hope that it
+# will be useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
+# the GNU General Affero Public License for more details.
+
+# You should have received a copy of the GNU Affero General Public License
+# along with flibbertigibbet.  If not, see
+# <http://www.gnu.org/licenses/>.